.\"	$NetBSD: isinff.3,v 1.4 2003/04/16 13:35:09 wiz Exp $
.\"
.\" Copyright (c) 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     from: @(#)isinf.3	8.2 (Berkeley) 1/29/94
.\"	from: NetBSD: isinf.3,v 1.5 1998/08/02 04:52:54 mycroft Exp
.\"
.Dd August 16, 1999
.Dt ISINFF 3
.Os
.Sh NAME
.Nm isinff ,
.Nm isnanf
.Nd test for infinity or not-a-number
.Sh LIBRARY
.Lb libm
.Sh SYNOPSIS
.In math.h
.Ft int
.Fn isinff float
.Ft int
.Fn isnanf float
.Sh DESCRIPTION
The
.Fn isinff
function
returns 1 if the number is
.Dq \\*(If ,
otherwise 0.
.Pp
The
.Fn isnanf
function
returns 1 if the number is
.Dq not-a-number ,
otherwise 0.
.Sh SEE ALSO
.Xr isinf 3 ,
.Xr isnan 3 ,
.Xr math 3
.Rs
.%T "IEEE Standard for Binary Floating-Point Arithmetic"
.%Q ANSI
.%R Std 754-1985
.Re
.Sh BUGS
Neither the
.Tn VAX
nor the Tahoe floating point have distinguished values
for either infinity or not-a-number.
These routines always return 0 on those architectures.
